<?php
/**
 * The template for displaying the homepage.
 *
 * This page template will display any functions hooked into the `homepage` action.
 * By default this includes a variety of product displays and the page content itself. To change the order or toggle these components
 * use the Homepage Control plugin.
 * https://wordpress.org/plugins/homepage-control/
 *
 * Template name: Homepage
 *
 * @package storefront
 */

get_header(); ?>


	        <div class="main">
                <div class="main__item">
                    <video poster="<? echo get_template_directory_uri(); ?>/img/style/main_slide_1.jpg" loop="loop" autoplay="autoplay">
                        <source src="<? echo get_template_directory_uri(); ?>/img/style/video.mp4" type='video/mp4; codecs="avc1.42E01E, mp4a.40.2"'>
                    </video>
                    <!-- <img src="<? echo get_template_directory_uri(); ?>/img/style/main_slide_1.jpg" alt=""> -->
                    <div class="main__item-content">
                        <div class="main__item-wrap">
                            <div class="main__item-title">Black Rock BRAND</div>
                            <div class="main__item-text">Stet clita kasd gubergren, no sea takimata sanctus est
                                <br/>lorem ipsum dolor sit amet accusam et justo evelio kasda et
                                <br/>duo dolores et ea rebum consetetur eos geubergea sadipscing elitr.</div>
                            <a
                            href="#" class="main__item-btn">Explore our products</a>
                        </div>
                    </div>
                </div>
            </div>
			
			<? include('blocks/mainpage_interest_products.php'); ?>

            <section class="teaser">
                <div class="container">
                    <div class="teaser__row">
                        <div class="teaser__content">
                             <h2 class="title-1">New Product teaser</h2>
                            <p>tet clita kasd gubergren, no sea takimata sanctus est lorem ipsum dolor
                                sit amet accusam et justo evelio kasda!</p>
                            <ul class="teaser__list">
                                <li>At vero eos et accusam et justo</li>
                                <li>No sea takimata sanctus est Lorem ipsum dolor sit amet</li>
                                <li>Eos et accusam et justo duo dolores et ea rebum</li>
                            </ul> <a href="#" class="button">View the product</a>
                        </div>
                        <div class="teaser__icons">
                            <img src="<? echo get_template_directory_uri(); ?>/img/style/img_info.png" alt="">
                        </div>
                        <div class="teaser__img">
                            <img src="<? echo get_template_directory_uri(); ?>/img/style/teaser_img.png" alt="">
                        </div>
                    </div>
                </div>
            </section>
			
			<? include('blocks/mainpage_glass_protectors.php'); ?>
			
			<? include('blocks/mainpage_collections.php'); ?>
			
			<? include('blocks/mainpage_partners.php'); ?>
			
			<? include('blocks/mainpage_instafeed.php'); ?>
		
        </div>
		
		
		
		
		
		
		
		
		
		
		
		
		






	<?/*?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			do_action( 'homepage' );
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?*/?>
	
	
<?php
get_footer();
