<?
global $post;

$args = array( 
				"post_type" => "product_reviews",
				"meta_key" => "product_id",
				"meta_value" => $post->ID,
				);
$reviews = get_posts( $args );

/*
echo "<pre>";
print_r( $reviews );
echo "</pre>";
*/
?>


<div class="reviews">
   <div class="container">
      <h2 class="reviews__title title-2">Customer reviews</h2>
      <div class="reviews__wrap">
	  
	  
		<? foreach( $reviews as $item ) { ?>
		
			<?
			$user_id = get_post_meta( $item->ID, 'user_id' )[0];
			$user = get_user_by( 'id', $user_id );
			
			?>
	  
			 <div class="reviews__item">
				<div class="reviews__row">
				   <div class="reviews__mark">
					  <div class="reviews__icon">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_review" />
						 </svg>
					  </div>
					  <div class="reviews__rating">
						 <div class="rating">
						 
							<div class="rating__item active">
							   <svg>
								  <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
							   </svg>
							</div>

						 </div>
					  </div>
				   </div>
				   <div class="reviews__user">
					  <div class="reviews__user-name"> <? echo $user->display_name; ?> </div>
					  <div class="reviews__date"> <? echo date( 'd.m.Y', strtotime( $item->post_date ) ); ?> </div>
				   </div>
				</div>
				<div class="reviews__text">
				
					<? echo $item->post_content; ?>

				</div>
			 </div>
		 
		<? } ?> 
		 

      </div>
      <div class="collection__more">
         view more
         <svg width="12" height="12">
            <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#ico_plus"></use>
         </svg>
      </div>
	  
	  
	  
		<div class="review-write">
			<form action="#" class="review-write__form">
			
				<input type="hidden" name="action" value="save_review" />
				<input type="hidden" name="product_id" value="<? echo $post->ID; ?>" />
			
				<div class="review-write__left">
				   <div class="review-write__title">Write your own review!</div>
				   <div class="review-write__user">Hallo <span>Loged-in-user</span>
				   </div>
				   <div class="review-write__descr">As a Black Rock member your are welcome to write a review about this product.
					  Please first chose how many stars you want to rate this product. Afterwards
					  please write your review in the field provided (min. 200 characters).
				   </div>
				   <div
					  class="review-write__rating">
					  <label class="review-write__rating-item">
						 <input type="radio" name="rating" value="5">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
						 </svg>
					  </label>
					  <label class="review-write__rating-item">
						 <input type="radio" name="rating" value="4">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
						 </svg>
					  </label>
					  <label class="review-write__rating-item">
						 <input type="radio" name="rating" value="3">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
						 </svg>
					  </label>
					  <label class="review-write__rating-item">
						 <input type="radio" name="rating" value="2">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
						 </svg>
					  </label>
					  <label class="review-write__rating-item">
						 <input type="radio" name="rating" value="1">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
						 </svg>
					  </label>
				   </div>
				</div>
				<div class="review-write__right">
				   <div class="review-write__input">
						<textarea name="review" rows="11" maxlength="1500" class="review-write__textarea js-review-textarea" placeholder="Please write your review here..."></textarea>
					  <div class="review-write__textarea-count"><span class="js-textarea-count">0</span> / 1500</div>
					  <div class="review-write__textarea-image">
						 <svg>
							<use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_pencil" />
						 </svg>
					  </div>
				   </div>
				   <div class="review-write__button">
					  <button class="button">Send your review</button>
				   </div>
				</div>
			</form>
		</div>
	  
   </div>
</div>


<script type="text/javascript">

	jQuery(document).ready(function() {
		
		jQuery('.review-write__form').submit(function() {
			
			var data = jQuery(this).serialize();
			
			jQuery.ajax({
				type: 'POST',
				data: data,
				dataType: 'json',
				url: '/',
				success: function (result) {
					console.log( result );
				},
				error: function () {
					window.location.reload();
				}
			});
			
			return false;
			
		});
		
		//alert();
		
	});

</script>



