<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>


<?
global $post;

$meta = get_post_meta( $post->ID );
$gallery = explode( ',', $meta['_product_image_gallery'][0] );

$attributes = unserialize( $meta['_product_attributes'][0] );

$handle= new WC_Product_Variable( $post->ID );
$variations = $handle->get_children();

foreach( $variations as $item ) {
	$options[] = get_post( $item );
}

/*
echo "<pre>";
print_r( $attributes );
echo "</pre>";
*/


/*
echo "<pre>";
print_r( unserialize( $meta['_product_attributes'][0] ) );
echo "</pre>";

echo "<pre>";
print_r( $meta );
echo "</pre>";
*/
?>

<div class="product-m">
   <div class="container">
      <div class="product-m__item">
         <div class="product-m__image-wrap">
            <div class="product-m__image sliders sliders_five owl-carousel js-cards-slider-6">
			
				<? foreach( $gallery as $item ) { ?>
			
					<div class="card">
					  <div class="card__img">
						 <img src="<? echo wp_get_attachment_url( $item ); ?>" alt="">
						 <div class="card__plash card__plash_red">New</div>
					  </div>
					</div>
				
				<? } ?>

            </div>
         </div>
         <div class="product-m__info">
            <div class="product-m__row">
               <a href="#" class="product-m__share">
                  <svg>
                     <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_share"/>
                  </svg>
                  <span>SHARE</span>
               </a>
               <div class="product-m__group">
                  <h2 class="product-m__title title-2"> <? echo $post->post_title; ?> </h2>
                  <div class="product-m__rating">
                     <div class="rating">
                        <div class="rating__item active">
                           <svg>
                              <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
                           </svg>
                        </div>
                        <div class="rating__item active">
                           <svg>
                              <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
                           </svg>
                        </div>
                        <div class="rating__item active">
                           <svg>
                              <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
                           </svg>
                        </div>
                        <div class="rating__item active">
                           <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_star.svg" />
                        </div>
                        <div class="rating__item">
                           <svg>
                              <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_star" />
                           </svg>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="product-m__price">
				<? echo $PRICE; ?> €
			   </div>
            </div>
			
            <div class="product-m__descr">
				<? echo $post->post_content; ?>
            </div>
			
			<? include('BLOCKS/variations.php'); ?>
			
         </div>
      </div>
   </div>
</div>
<div class="info-m">
   <div class="container">
      <div class="info-m__wrap">
	  
		<? include('BLOCKS/bundle.php'); ?>
		 
         <div class="info-m__des">
            <div class="info-m__des-item">
               <div class="info-m__des-title">Delivery</div>
               <div class="info-m__qw">
                  <div class="info-m__qw-title">Free Shipping within the EU</div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_time" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Delivery time: 2-3 days</div>
                  </div>
               </div>
               <div class="info-m__qw info-m__qw_mb">
                  <div class="info-m__qw-title">International Shipping</div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_time" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Delivery time: 4-6 days</div>
                  </div>
                  <div class="info-m__qw-row">
                     <div class="info-m__qw-icon">
                        <svg>
                           <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_coins" />
                        </svg>
                     </div>
                     <div class="info-m__qw-descr">Fee: 5.99 €</div>
                  </div>
               </div>
               <div class="info-m__des-button"><a href="#" class="button button_gray">view all delivery information</a>
               </div>
            </div>
            <div class="info-m__des-item">
               <div class="info-m__des-title">What we offer</div>
               <div class="info-m__as">
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">Free shipping for all deliveries within the European Union.</div>
                  </div>
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">We offer secure shopping with SSL encryption & secure payments.</div>
                  </div>
                  <div class="info-m__as-item">
                     <div class="info-m__as-icon">
                        <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_check.svg" alt="">
                     </div>
                     <div class="info-m__as-descr">Black Rock combines unique design and technology with high quality raw
                        materials.
                     </div>
                  </div>
               </div>
               <div class="info-m__des-button"><a href="#" class="button button_gray">Learn more about us</a>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

<div class="image-m">
   <div class="container">
      <div class="image-m__wrap">
         <img src="<? echo get_template_directory_uri(); ?>/img/content/image-m_image.jpg" alt="">
      </div>
   </div>
</div>

<div class="product-info">
   <div class="container">
      <div class="product-info__wrap">
         <div class="product-info__info">
		 
			<? echo $meta['features_text'][0]; ?>
		 
			<!--
            <div class="product-info__title">Robust Case Collection</div>
            <div class="product-info__descr">
               <p>Nutzen Sie das Flex Carbon Wallet für Ihr Apple iPhone X/XS als Brieftasche
                  mit 4 integrierten Fächern für EC-Kreditkarten und einem größeren Innenfach.
                  Mit der bewährten MPT Schutztechnologie auf Molekularebene bleibt ihr Smartphone
                  jederzeit vor Verschmutzungen geschützt. Eine Antirutschbeschichtung der
                  Hülle sorgt dafür, dass Ihr Wallet stets sicher auf allen Flächen liegt.
               </p>
               <p>Der Schließmechanismus ist magnetisch und lässt sich selbst nach vielem
                  öffnen und schließen noch einwandfrei benutzen. Alle Anschlüsse und Tasten
                  sind frei zugänglich. Mit der Standfunktion Ihrer Handyhülle können sie
                  bequem Videos und Fotos ansehen ohne ihr Smartphone dabei lange in den
                  Händen halten zu müssen.
               </p>
               <p>Black Rock steht für die Veredelung von Lifestylezubehör wie Handyhüllen
                  und weiterem Mobilfunkzubehör. Wir kombinieren hochwertige Rohstoffe mit
                  schockabsorbierenden Materialien von Covestro, einem führenden Hersteller
                  deutscher Ingenieurskunst.
               </p>
            </div>
			-->
			
			<?
			$features = unserialize($meta['features'][0]);
			
			$image = wp_get_attachment_url( $meta['features_image'][0] );
			//print_r($features);
			?>
			
            <div class="product-info__subtitle">Features & Specifications</div>
            <div class="product-info__list">
               <ul>
			   
				<? foreach( $features as $item ) { ?>
			   
					<li> <? echo $item; ?> </li>
				  
				<? } ?>  

               </ul>
            </div>
         </div>
         <div class="product-info__image sliders sliders_seven owl-carousel js-cards-slider-7">
            <div class="product-info__image-item">
               <img src="<? echo $image; ?>" alt="">
            </div>
         </div>
      </div>
   </div>
</div>


<? include('BLOCKS/reviews.php'); ?>

<? include('BLOCKS/related.php'); ?>





</div>
<svg width="0" height="0" style="position: absolute;">
   <symbol id="loading_icon1">
      <path class="cls-3" d="M117.94,0a4.8,4.8,0,0,0,0,9.6A108.26,108.26,0,1,1,68.15,21.69a4.8,4.8,0,1,0-4.42-8.52A118,118,0,1,0,117.94,0"
         />
   </symbol>
   <symbol id="loading_icon2">
      <path class="cls-3" d="M164.17,57.18a76.35,76.35,0,1,0,7.75,114.74,4.8,4.8,0,0,0-6.79-6.79A66.74,66.74,0,1,1,117.94,51.2,67.06,67.06,0,0,1,182,99.28a4.8,4.8,0,0,0,9.22-2.68,76.93,76.93,0,0,0-27.09-39.42"
         />
      <path class="cls-3" d="M174.22,103.41a4.8,4.8,0,0,0-6.79,6.79l18.06,18.05a4.79,4.79,0,0,0,6.79,0l18.06-18.05a4.8,4.8,0,0,0-6.79-6.79l-14.66,14.66Z"
         />
   </symbol>
</svg>


<?php
get_footer( 'shop' );
?>









<?php
/*
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<?php

		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : ?>
			<?php the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php

		do_action( 'woocommerce_after_main_content' );
	?>

	<?php

		do_action( 'woocommerce_sidebar' );
	?>

<?php
get_footer( 'shop' );
*/?>