<form action="#" class="product-m__form">
   <div class="product-m__form-row">
	  <div class="product-m__form-label">Choose your
		 <br/>case type:
	  </div>
	  <div class="product-m__form-inputs">
	  
		<?
		$items = explode( ' | ', $attributes['case-type']['value'] );
		?>
	  
		<? foreach( $items as $item ) { ?>
	  
			<label class="product-m__radio">
				<input type="radio" name="type"> 
				<span>
				   <svg>
					  <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_type1"/>
				   </svg>
				   <span> <? echo $item; ?> </span>
				</span>
			</label>
		 
		<? } ?> 

	  </div>
   </div>
   <div class="product-m__form-row">
	  <div class="product-m__form-label">Select your
		 <br/>device:
	  </div>
	  <div class="product-m__form-inputs">
		 <div class="filters__items">
		 
			<?
			$items = explode( ' | ', $attributes['device-brand']['value'] );
			?>
		 
			<div class="filters__item">
			   <select name="" class="js-select" data-placeholder="Chose manufacturer...">
				  <option></option>
				  
					<? foreach( $items as $item ) { ?>
						<option value=""> <? echo $item; ?> </option>
					<? } ?> 
				  
			   </select>
			</div>
			
			<?
			$items = explode( ' | ', $attributes['device-model']['value'] );
			?>
			
			<div class="filters__item">
			   <select name="" class="js-select" data-placeholder="Chose model...">
				  <option></option>
				  
					<? foreach( $items as $item ) { ?>
						<option value=""> <? echo $item; ?> </option>
					<? } ?> 
					
			   </select>
			</div>
			
		 </div>
	  </div>
   </div>
   
   <div class="product-m__form-row">
	  <div class="product-m__form-label">Color/material:</div>
	  <div class="product-m__form-inputs">
	  
			<?
			$items = explode( ' | ', $attributes['color-material']['value'] );
			?>
	  
			<? foreach( $items as $item ) { ?>
	  
				<label class="product-m__color">
					 <input type="radio" name="color"> <span>
					 <img src="<? echo get_template_directory_uri(); ?>/img/style/icon_color1.png" alt="">
					 </span>
					 <span class="product-m__color-tip"> <? echo $item; ?> </span>
				</label>
		 
			<? } ?> 

	  </div>
   </div>
   
   
   
   <div class="product-m__finish">
	  <div class="product-m__advantages">
		 <div class="product-m__advantages-item">
			<div class="product-m__advantages-icon">
			   <svg width="63px" height="27px">
				  <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_adva1" />
			   </svg>
			</div>
			<div class="product-m__advantages-descr">Free EU
			   <br/>Shipping
			</div>
		 </div>
		 <div class="product-m__advantages-item">
			<div class="product-m__advantages-icon">
			   <svg width="31px" height="37px">
				  <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_adva2" />
			   </svg>
			</div>
			<div class="product-m__advantages-descr">Secure
			   <br/>Shopping
			</div>
		 </div>
		 <div class="product-m__advantages-item">
			<div class="product-m__advantages-icon">
			   <svg width="33px" height="35px">
				  <use xlink:href="<? echo get_template_directory_uri(); ?>/svg/sprite.svg#icon_adva3" />
			   </svg>
			</div>
			<div class="product-m__advantages-descr">Quality
			   <br/>Products
			</div>
		 </div>
	  </div>
	  <div class="product-m__advantages-button">
		 <button type="submit" class="button">Add product to card</button>
	  </div>
   </div>
</form>